Browsers

Product browser compliancy

Latest news

From 12 January 2016 Microsoft has ended support for all older version of Internet Explorer. Lumesse are unable to commit to supporting Microsoft’s technology beyond their own support commitment. You can read more about Microsoft’s end of support for older versions of Internet Explorer here.

Therefore during February 2017, with the release of TalentLink 17.1, Lumesse will withdraw support and compatibility testing of Internet Explorer 8 and Internet Explorer 9.

Whilst we do not expect current functionality of Lumesse TalentLink to stop working in Internet Explorer 8 or 9, from February 2017 onwards, any reported issues by users of Internet Explorer 8 or Internet Explorer 9 will need to be reproduced on Internet Explorer 10 or above, or one of our the other supported browsers.

 

General Information

  • Lumesse recognises that withdrawing support from mainstream browser versions is inconvenient for our users/customers.
  • For each release we will provide information on the browsers and versions that are supported.
  • PC browser tests are undertaken using Windows Operating System.
  • IMPORTANT – whilst we regularly update the information on this page, we are unable to commit to it being current, correct or complete as the providers of the third party technology (including browsers) that we or you may use for or in connection with our products continue to develop that technology and/or vary the support available for it and, as such, we shall not be liable for any loss or damage howsoever arising (whether in contract, tort, including negligence, by law or otherwise) out of or in connection with the impact of those changes on your ability to enjoy our products.

 

Withdrawing Support for Browsers

  • We aim to continue to support a browser/version for as long as possible. However, if continuing to support a browser/version will adversely affect the use of our products then we will review the continued support of such a browser/version.
  • If we decide to withdraw support for a browser/version we will provide 3 months' notice in writing of that decision.

 

Supporting Browsers/Versions

  • We review the browsers/versions that we will support whenever we produce a new release of a product.
  • We will NOT support new browsers/versions for existing product versions that are generally available.
  • Support for new browsers/versions will only be included in new versions of a product.

 

Lumesse TalentLink and i-GRasp Front Offices

The following table shows which browsers/ versions supported for Lumesse TalentLink and i-GRasp front offices.

 Browsers Pre Oct 2011 Pre Oct 2011- Oct 2014 Oct 2014 - Nov 2016 Nov 2016 - Present
Firefox †
Chrome †   
Safari (PC) †
Safari (Mac) ††    
IE11    
IE10    
IE7 ●       
IE6      
  • † Indicates latest version of browser at the time of development.
  • †† For TalentLink, Safari (Mac) support commenced with v15.0.
*Support for IE8 and IE9 will cease from February 2017 with the release of TalentLink 17.

Lumesse TalentLink Back Office.

The following table shows which browsers/versions are supported for Lumesse TalentLink. 

  TalentLink Back Office
Microsoft IE6  
Microsoft IE7  
Microsoft IE8 ● †
Microsoft IE9 ● †
Microsoft IE10 ●††
Microsoft IE11 ●†††
Firefox
Google Chrome  
Safari (PC)
Safari (Mac) ●††††
Opera  
  • † Microsoft IE8 and IE9 (with compatibility mode) support will cease from February 2017.
  • †† Microsoft IE10 support commenced with the release of TalentLink 14.0
  • ††† Microsoft IE11 support commenced with the release of TalentLink 14.1
  • †††† Safari (Mac) support commenced with v15.0

Lumesse i-GRasp Back Office

The following table shows which browsers/versions are supported for Lumesse i-GRasp.

  i-GRasp Back Office
Microsoft IE6
Microsoft IE7
Microsoft IE8
Microsoft IE9
Microsoft IE10
Microsoft |E11
Firefox 
Google Chrome 
Safari (PC)
Opera  
  • From 12 January 2016, Microsoft IE8 will not be supported 
  •  

All Additional Products

Lumesse Mobile Career Site: 

The following tables show which browsers/versions are supported for Lumesse Mobile Career Site:

Browser Mobile Career Site Back Office
Microsoft IE6  
Microsoft IE7  
Microsoft IE8  
Microsoft IE9 ● ††
Microsoft IE10
Firefox ● †††
Google Chrome ● †††
Safari ● †††
Opera ● †††
  • †† With IE8 Compatbility mode.
  • ††† Indicates latest version of browser.

 

Browser Mobile Career Site Front Office
Safari (iOS)
Android Browser 2.2 and above
Chrome Mobile 
(iOS & Android)

Microsoft IE Mobile version 10

(Windows Phone)

Firefox mobile version 
(Android)
Version 16 and above
 

 

 

Lumesse ETWeb

The following table shows which browsers/versions are supported for Lumesse ETWeb. Exceptions and extra information are indicated by the use of "†" and appear below the table.

  ETWeb 10.3 ETWeb 10.4 ETWeb 10.5 ETWeb 10.6 ETWeb 10.7 ETWeb 10.8 ETWeb 11.0 ETWeb 11.1 ETWeb 11.2 ETWeb 11.3 ETWeb 11.3UP1 ETWeb 11.4 ETWeb 11.5 ETWeb empower Winter 2015 ETWeb empower Summer 2015
Microsoft IE5                              
Microsoft IE6                  
Microsoft IE7                  
Microsoft IE8        ●        
Microsoft IE9            

     
Microsoft IE10                        
Microsoft IE11                  
Microsoft Edge                        
Chrome                       ● ††
Firefox 1.0                              
Firefox 1.5 ● †† ● †† ● ††                        
Firefox 2 ● †† ● †† ● ††                        
Firefox 3         ● †† ● †† ● ††                
Firefox 6               ● †† ● ††            
Firefox 22                   ● †† ● ††        
Firefox 38                       ● ††      
Safari 5.x (PC)               ● †† ● ††            
Safari 5.1.7 (PC)                   ● †† ● †† ● ††      
Netscape 7.1                        
iPad (iOS6)                   ● †          
iPad (iOS7)                     ● †        
iPad (iOS8)                       ● †      

iPad (iOS9)

(horizontal)

                       
  • †† Not supported for use with OrgPublisher 7.5.

† This update supports key ETWeb features and functionality and enables users to use the system on this specific mobile device. Some users interactions and features are limited due to the nature of the device. 
 

  •  

Lumesse ETWeb Mobile

We support iOS (iPhone 4/5) and Android Operating Systems (OSs). The following OS/Browser versions are officially supported for ETWeb Mobile v1.0.

  Mobile v1.0 Mobile v1.1    
           
Build-In Browser Chrome Safari Build-In Browser Chrome Safari
IOS 5.x        
IOS 6.x        
IOS 7.x*    
Android 4.1.x      
Android 4.2.x        
Android 4.3.x        
Android 4.4.x        
  • * = SSO only works with iOS 7.0.3 and further iOS versions.

Because the mobile landscape changes rapidly, Lumesse is aware that the minor and major additional OS versions will appear frequently. Lumesse aims to add additional OS/browser versions frequently and will publish a list of the current supported browsers on this page.

 

 

Lumesse Learning Gateway

The following table shows which browsers/versions are supported for Lumesse Learning Gateway.

  Learner Portal General 
Administration
Portal Administration
Microsoft IE6    
Microsoft IE8  
Microsoft IE9
Microsoft IE10
Microsoft IE11
Firefox ††
Google Chrome ††  
Safari 5.x (PC)  
Safari †† (Mac)      
Opera ††    
  • † Though our Learning portal does not support IE6, we have an older interface that does.
  • † † We always support and test on the newest version of this browser. When a new version is released, we will stop testing on the former version and officially 
    switch our support after our next full release cycle.

 

Lumesse CourseBuilder v6

The following table shows which browsers/versions are supported for Lumesse CourseBuilder. Please note that all desktop versions require Flash 9 or later to author or run Flash-version courses.

  Authoring
Flash version only
Authoring
HTML5 version
End-user
Flash version
End-user
HTML5 version
DESKTOP PLATFORMS
Microsoft IE6    
Microsoft IE7    
Microsoft IE8    
Microsoft IE9
Microsoft IE10
Firefox 10.x    
Firefox 16.x
Google Chrome 12.x    
Google Chrome 22 (PC)
Google Chrome 23 (Mac
Safari 5.x (PC)
Safari 6.x (Mac OSX 10.8)
Opera 12
MOBILE PLATFORMS
Android 4.0 (ICS) or later:        
Default Android browser*      
Chrome*      
Firefox*      
Opera*      
iOS5 or later:        
Safari      
Chrome       ● ††
Win8 RT:        
IE10      
Win8 PRO (Intel based tablets):        
IE10      
Chrome       **
Firefox       **
Opera       **
WinPhone8:        
IE10       **
  • Note: All desktop versions require Flash 10 or later to author content of Flash 9 or later to run the Flash version of courses.
  • * Latest version of browser at the time of release of 6M is assumed; this varies from device to device. When taking into account that each device can have its own upgrade cycle, new versions are too frequent to fully test, but will normally be without issues.
  • ** Under testing
  • †† Chrome for iOS is currently not supported due to bugs in Chrome that prevent correct tracking of content to LMS.

 

CourseBuilder v7

     
Authoring End-user
DESKTOP PLATFORMS    
Microsoft IE9
Microsoft IE10
Microsoft IE11
Microsoft Edge 12
Firefox 40
Google Chrome 40 ●* ●*
Safari 8
Opera 32 ●† ●†
MOBILE PLATFORMS    
Android 4.1 or later:    
Default Android browser   ●††
Chrome 45 for Android   ●*
Firefox   ●†
Opera   ●†
iOS8 or later:    
Safari   ●*
Chrome   ●*
IE10  
Win8 PRO / Windows 10 (Intel based tablets):    
IE10 / 11 / Edge  
Chrome   ●*
Firefox   ●†
Opera   ●†
  • † Not fully tested, but expected to work
  • †† Tested on pure Android browser. Should work for MOST standard Android browsers, however there are wide variations.Note that browser-versions supplied/changed by phone-manufacturers may not be fully supported due to bugs/issues in the browsers, especially on older Android versions. Please refer to http://slides.com/html5test/the-android-browser#/ for an informal overview of the issues with testing for Android Browsers.
  • ** Under testing